aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorKimplul <kimi.h.kuparinen@gmail.com>2024-04-20 10:47:49 +0300
committerKimplul <kimi.h.kuparinen@gmail.com>2024-04-20 10:47:49 +0300
commit8a98b46ef2b5673fcdf0a9a466857a5de044dfc5 (patch)
treeae548496da015f3319760479e09cfe5a0b1eba5d /scripts
parent1cc7990ef7d5483d0434dda412f2d88e0b17df27 (diff)
downloadposthaste-8a98b46ef2b5673fcdf0a9a466857a5de044dfc5.tar.gz
posthaste-8a98b46ef2b5673fcdf0a9a466857a5de044dfc5.zip
add lightening jit
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makefile9
1 files changed, 7 insertions, 2 deletions
diff --git a/scripts/makefile b/scripts/makefile
index cf8a07e..2f2d8d9 100644
--- a/scripts/makefile
+++ b/scripts/makefile
@@ -14,6 +14,11 @@ ASSERTFLAGS != [ "$(ASSERT)" != "0" ] \
&& echo "-DASSERT=1" \
|| echo
+JIT ?= 1
+JITFLAGS != [ "$(JIT)" != "0" ] \
+ && echo "-DJIT=1" \
+ || echo
+
DEPFLAGS = -MT $@ -MMD -MP -MF $@.d
LINTFLAGS = -fsyntax-only
PREPROCESS = -E
@@ -27,11 +32,11 @@ OBFLAGS = -g
WARNFLAGS = -Wall -Wextra -Wvla
COMPILE_FLAGS = $(CFLAGS) $(WARNFLAGS) $(OPTFLAGS) $(OBFLAGS) $(ASSERTFLAGS) \
- $(DEBUGFLAGS)
+ $(DEBUGFLAGS) $(JITFLAGS)
LINK_FLAGS = $(LDFLAGS) -lm
-INCLUDE_FLAGS = -I include
+INCLUDE_FLAGS = -I include -I deps
COMPILE = $(CC) \
$(COMPILE_FLAGS) $(DEPFLAGS) $(INCLUDE_FLAGS)